Subject: RE: Building bison?
From: Jörg Schaible <[email-masked]>
To: <[email-masked]>
Cc: "Ian Badcoe" <[email-masked]>
Date: Tue, 18 Nov 2003 08:38:38 +0100

Ian,

please stay on the list for ongoing conversation ...

Ian Badcoe wrote on Monday, November 17, 2003 9:27 PM:
> At 14:40 17/11/2003 +0100, you wrote:
>> Ian Badcoe wrote on Monday, November 17, 2003 12:49 PM:
>> [snip]
>>>       1.875c behaves nicely to a ./configure and make but it then
>>> crashes immediately when I give it my input script.
>> 
>> Just an idea: Since Cygwin compiles as Unix flavour, the original
>> source may not be prepared to read files with CRLF. Try to run it
>> from a binary mounted folder providing a file with LF endings only.
> 
> If I invoke bison indirectly:
>          bash -c "/usr/bin/bison MyFile.y ..."
> 
> Then it works, so I suspect it's more to do with invocation than CRLF.

What is the value of your CYGWIN enrironment variable?

> As a general question, is there generally a lot of difference between
> sources downloaded from GNU and one's acquired via cygwin?
> Or can one mix
> and match freely (bugs due to version differences notwithstanding)?

Changes for a package are normally documented in /usr/doc/Cygwin. 

Regards,
Jörg

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/